#!/usr/local/bin/ruby -Ku
  # データフレームの構造を表示  (coding: utf-8)
require "rrx"
include Rrx
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", header=T)
str(dtf)  # dtfの構造を出力
EOS
    # 行列の切り取りとRプログラムの実行
cut_data("data03.csv") do |data|
  temp_make(data)  # 一時ファイルへの行列の書き出し
  hs = rexec(rpro)
  next  unless hs[:sink]
  print hs[:sink]
end
