#!/usr/local/bin/ruby -Ku
  # ｆ検定とｔ検定  (coding: utf-8)
require "rrx"
include Rrx
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", header=T)
male <- subset(dtf, 性別 == "男")
female <- subset(dtf, 性別 == "女")
ff <- var.test(male$身長, female$身長)
ff
flag <- (ff$p.value >= 0.05)
t.test(male$身長, female$身長, var.equal=flag)
EOS
    # 行列を切り出してRプログラムを実行
cut_data("data03.csv") do |data|
  temp_make(data)  # 抽出した表を一時ファイルに書き出す
  hs = rexec(rpro)
  next  unless hs[:sink]
  print hs[:sink]
end
