#! ruby -Ks
  # templatestand-aloneLaTeX쐬  (coding: Windows-31J)
require "rubygems"
require "kramdown"
require "spreadsheet"
require "rrxutil"
        ## RvO̐ݒ
rpro = <<EOS
xx <- rbind(c("s", 13216221, 2188.67, 6038.47),
    c("_ސ쌧", 9072133, 2415.86, 3755.24),
    c("{", 8863324, 1901.42, 4661.42),
    c("m", 7425952, 5165.14, 1437.71),
    c("S", 127532028, 372923.77, 341.98))
colnames(xx) <- c("s{", "l", "ʐ", "lx")
robj(xx)
EOS
        ## R̎sCLaTeXւ̕ϊ
hs = Rrx.rexec(rpro)  # R̎s
xx = hs["robj1"]["self"]
md_str = <<EOS2
# s{̐lEʐρElx\n
@s{̐l(l)Aʐ(km)Alx(l/km)͎̂ƂB\n
@l̑ɁASs{̂ݎB\n
#{Rrx.matrix2table(xx, ["==="], 'border="1"')}
# 񂺂֌WȂǐ̗
̌vZF
$$ \\frac{1}{2} + \\frac{1}{3} = \\frac{3 + 2}{6} = \\frac{5}{6} $$\n
ς̌vẐ͎ƂB\n
$$
\\begin{equation*}
 = \\frac{1}{n}\\sum_{i=1}^{n} x_i = 
\\frac{x_1 + x_2 + \\cdots + x_n}{n}
\\end{equation*}
$$
EOS2
        ## kramdownɂLaTeX̐
tfile = Rrx.tex_template(<<'EOS3')
\documentclass{jsarticle}
\renewcommand{\presectionname}{}
\renewcommand{\postsectionname}{}
EOS3
kdoc = Kramdown::Document.new(md_str, :template=>tfile.path)
tex_str = kdoc.to_latex
File.open("result.tex", "w") {|ff|  ff.write tex_str}
tfile.unlink  # ev[gt@C폜
puts "'result.tex' o͂܂."
